<?php



$tdatatb_especia_idades = array();
$tdatatb_especia_idades[".searchableFields"] = array();
$tdatatb_especia_idades[".ShortName"] = "tb_especia_idades";
$tdatatb_especia_idades[".OwnerID"] = "";
$tdatatb_especia_idades[".OriginalTable"] = "tb_especiaçidades";


$tdatatb_especia_idades[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_especia_idades[".originalPagesByType"] = $tdatatb_especia_idades[".pagesByType"];
$tdatatb_especia_idades[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_especia_idades[".originalPages"] = $tdatatb_especia_idades[".pages"];
$tdatatb_especia_idades[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_especia_idades[".originalDefaultPages"] = $tdatatb_especia_idades[".defaultPages"];

//	field labels
$fieldLabelstb_especia_idades = array();
$fieldToolTipstb_especia_idades = array();
$pageTitlestb_especia_idades = array();
$placeHolderstb_especia_idades = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_especia_idades["English"] = array();
	$fieldToolTipstb_especia_idades["English"] = array();
	$placeHolderstb_especia_idades["English"] = array();
	$pageTitlestb_especia_idades["English"] = array();
	$fieldLabelstb_especia_idades["English"]["especialidadeID"] = " ID";
	$fieldToolTipstb_especia_idades["English"]["especialidadeID"] = "";
	$placeHolderstb_especia_idades["English"]["especialidadeID"] = "";
	$fieldLabelstb_especia_idades["English"]["especialidade"] = "Especialidade";
	$fieldToolTipstb_especia_idades["English"]["especialidade"] = "";
	$placeHolderstb_especia_idades["English"]["especialidade"] = "";
	$fieldLabelstb_especia_idades["English"]["descricao"] = "Descrição ";
	$fieldToolTipstb_especia_idades["English"]["descricao"] = "";
	$placeHolderstb_especia_idades["English"]["descricao"] = "";
	if (count($fieldToolTipstb_especia_idades["English"]))
		$tdatatb_especia_idades[".isUseToolTips"] = true;
}


	$tdatatb_especia_idades[".NCSearch"] = true;



$tdatatb_especia_idades[".shortTableName"] = "tb_especia_idades";
$tdatatb_especia_idades[".nSecOptions"] = 0;

$tdatatb_especia_idades[".mainTableOwnerID"] = "";
$tdatatb_especia_idades[".entityType"] = 0;

$tdatatb_especia_idades[".strOriginalTableName"] = "tb_especiaçidades";

	



$tdatatb_especia_idades[".showAddInPopup"] = false;

$tdatatb_especia_idades[".showEditInPopup"] = false;

$tdatatb_especia_idades[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_especia_idades[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_especia_idades[".listAjax"] = false;
//	temporary
$tdatatb_especia_idades[".listAjax"] = false;

	$tdatatb_especia_idades[".audit"] = false;

	$tdatatb_especia_idades[".locking"] = false;


$pages = $tdatatb_especia_idades[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_especia_idades[".edit"] = true;
	$tdatatb_especia_idades[".afterEditAction"] = 0;
	$tdatatb_especia_idades[".closePopupAfterEdit"] = 1;
	$tdatatb_especia_idades[".afterEditActionDetTable"] = "tb_medicos";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_especia_idades[".add"] = true;
$tdatatb_especia_idades[".afterAddAction"] = 0;
$tdatatb_especia_idades[".closePopupAfterAdd"] = 1;
$tdatatb_especia_idades[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_especia_idades[".list"] = true;
}



$tdatatb_especia_idades[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_especia_idades[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_especia_idades[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_especia_idades[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_especia_idades[".printFriendly"] = true;
}



$tdatatb_especia_idades[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_especia_idades[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_especia_idades[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_especia_idades[".isUseAjaxSuggest"] = true;

$tdatatb_especia_idades[".rowHighlite"] = true;





$tdatatb_especia_idades[".ajaxCodeSnippetAdded"] = false;

$tdatatb_especia_idades[".buttonsAdded"] = false;

$tdatatb_especia_idades[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_especia_idades[".isUseTimeForSearch"] = false;


$tdatatb_especia_idades[".badgeColor"] = "D2691E";


$tdatatb_especia_idades[".allSearchFields"] = array();
$tdatatb_especia_idades[".filterFields"] = array();
$tdatatb_especia_idades[".requiredSearchFields"] = array();

$tdatatb_especia_idades[".googleLikeFields"] = array();
$tdatatb_especia_idades[".googleLikeFields"][] = "especialidadeID";
$tdatatb_especia_idades[".googleLikeFields"][] = "especialidade";
$tdatatb_especia_idades[".googleLikeFields"][] = "descricao";



$tdatatb_especia_idades[".tableType"] = "list";

$tdatatb_especia_idades[".printerPageOrientation"] = 0;
$tdatatb_especia_idades[".nPrinterPageScale"] = 100;

$tdatatb_especia_idades[".nPrinterSplitRecords"] = 40;

$tdatatb_especia_idades[".geocodingEnabled"] = false;










$tdatatb_especia_idades[".pageSize"] = 20;

$tdatatb_especia_idades[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_especia_idades[".strOrderBy"] = $tstrOrderBy;

$tdatatb_especia_idades[".orderindexes"] = array();

$tdatatb_especia_idades[".sqlHead"] = "SELECT especialidadeID,  	especialidade,  	descricao";
$tdatatb_especia_idades[".sqlFrom"] = "FROM `tb_especiaçidades`";
$tdatatb_especia_idades[".sqlWhereExpr"] = "";
$tdatatb_especia_idades[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_especia_idades[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_especia_idades[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_especia_idades[".highlightSearchResults"] = true;

$tableKeystb_especia_idades = array();
$tableKeystb_especia_idades[] = "especialidadeID";
$tdatatb_especia_idades[".Keys"] = $tableKeystb_especia_idades;


$tdatatb_especia_idades[".hideMobileList"] = array();




//	especialidadeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "especialidadeID";
	$fdata["GoodName"] = "especialidadeID";
	$fdata["ownerTable"] = "tb_especiaçidades";
	$fdata["Label"] = GetFieldLabel("tb_especia_idades","especialidadeID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "especialidadeID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "especialidadeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_especia_idades["especialidadeID"] = $fdata;
		$tdatatb_especia_idades[".searchableFields"][] = "especialidadeID";
//	especialidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "especialidade";
	$fdata["GoodName"] = "especialidade";
	$fdata["ownerTable"] = "tb_especiaçidades";
	$fdata["Label"] = GetFieldLabel("tb_especia_idades","especialidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "especialidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "especialidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_especia_idades["especialidade"] = $fdata;
		$tdatatb_especia_idades[".searchableFields"][] = "especialidade";
//	descricao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "descricao";
	$fdata["GoodName"] = "descricao";
	$fdata["ownerTable"] = "tb_especiaçidades";
	$fdata["Label"] = GetFieldLabel("tb_especia_idades","descricao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "descricao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descricao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_especia_idades["descricao"] = $fdata;
		$tdatatb_especia_idades[".searchableFields"][] = "descricao";


$tables_data["tb_especiaçidades"]=&$tdatatb_especia_idades;
$field_labels["tb_especia_idades"] = &$fieldLabelstb_especia_idades;
$fieldToolTips["tb_especia_idades"] = &$fieldToolTipstb_especia_idades;
$placeHolders["tb_especia_idades"] = &$placeHolderstb_especia_idades;
$page_titles["tb_especia_idades"] = &$pageTitlestb_especia_idades;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_especiaçidades"] = array();
//	tb_medicos
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_medicos";
		$detailsParam["dOriginalTable"] = "tb_medicos";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_medicos";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_medicos");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_especiaçidades"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_especiaçidades"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_especiaçidades"][$dIndex]["masterKeys"][]="especialidadeID";

				$detailsTablesData["tb_especiaçidades"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_especiaçidades"][$dIndex]["detailKeys"][]="especialidadeID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_especiaçidades"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_especia_idades()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "especialidadeID,  	especialidade,  	descricao";
$proto0["m_strFrom"] = "FROM `tb_especiaçidades`";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "especialidadeID",
	"m_strTable" => "tb_especiaçidades",
	"m_srcTableName" => "tb_especiaçidades"
));

$proto6["m_sql"] = "especialidadeID";
$proto6["m_srcTableName"] = "tb_especiaçidades";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "especialidade",
	"m_strTable" => "tb_especiaçidades",
	"m_srcTableName" => "tb_especiaçidades"
));

$proto8["m_sql"] = "especialidade";
$proto8["m_srcTableName"] = "tb_especiaçidades";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "descricao",
	"m_strTable" => "tb_especiaçidades",
	"m_srcTableName" => "tb_especiaçidades"
));

$proto10["m_sql"] = "descricao";
$proto10["m_srcTableName"] = "tb_especiaçidades";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "tb_especiaçidades";
$proto13["m_srcTableName"] = "tb_especiaçidades";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "especialidadeID";
$proto13["m_columns"][] = "especialidade";
$proto13["m_columns"][] = "descricao";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "`tb_especiaçidades`";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "tb_especiaçidades";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_especiaçidades";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_especia_idades = createSqlQuery_tb_especia_idades();


	
		;

			

$tdatatb_especia_idades[".sqlquery"] = $queryData_tb_especia_idades;

$tableEvents["tb_especiaçidades"] = new eventsBase;
$tdatatb_especia_idades[".hasEvents"] = false;

?>